---
date: 2020-11-16
id: c6e1c9cf-d282-436e-b8fe-dbb62a1b2459
title: Stateless Route Attribute
---

# Description

When set to `true` declare that [session](20201109150950-sessions) can't
be used during handling of request. Generates Exception if route tries
to use the [session](20201109150950-sessions).

# Syntax

``` php
// src/Controller/MainController.php
namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class MainController extends AbstractController
{
    /**
     * @Route("/", name="homepage", stateless=true)
     */
    public function homepage()
    {
        // ...
    }
}
```
