---
date: 2020-11-16
id: 74ad0664-3103-429c-b9b7-15b1ea8e0c2c
title: "@Ignore"
---

# Description

Ignore values when serializing

# Syntax

``` php
use Symfony\Component\Serializer\Annotation\Ignore;

class SomeClass
{
    public $someProperty;
    /**
     * @Ignore()
     */
    public $anotherProperty;
    private $lastProperty;

    /**
     * @Ignore()
     */
    public function getLastProperty()
    {
        return $this->lastProperty;
    }
}
```

``` yaml
App\SomePath\SomeClas:
    attributes:
        # ...
        anotherProperty:
            ignore: true
        lastProperty:
            ignore: true
```

``` xml
<class name="App\SomePath\SomeClass">
    <!-- ... -->
    <attribute name="anotherProperty" ignore="true" />
    <attribute name="lastProperty" ignore="true" />
</class>
```
